--[[ 데이터 추가 방법

기본적으로 테이블을 추가하는 방법은...
가장 큰 분류는 대륙명칭으로 나뉩니다.
Babble-Zone-2.2 라이브러리를 사용하기 때문에 영문으로 표기합니다..
그 하위로 인스턴스와 각 지역이 나뉩니다...

인스턴스는 인스턴스 이름 -> 몹 이름 -> 드랍 아이템의 순서로 테이블이 진행됩니다.

예제)
["인스턴스 이름(영문) 추가적으로 인던 종류(-Hero를 붙이면 영웅 인던 |R을 붙이면 공격대 인던)과 테이블 순서(|숫자로 표시)"] = {
	["몹 이름(영문) 추가적으로 몬스터 종류(|B를 붙이면 보스몬스터, |N를 붙일 경우는 네임드)와 테이블 순서(|숫자로 표시)"] = {
		["필드번호"] = "아이템ID",
		...
	},
},

이런식으로 추가할 수 있습니다.

단 순서를 지정하는 |숫자는 항상 맨 끝부분에 와야 합니다..

이름(영던인지여부)(|추가정보)(|테이블순서)의 순서입니다..

만약 특정한 설명이 필요한 아이템이라면..

WhoDropNote 테이블에 아이템 ID 별로 추가를 하면 됩니다.

예제)
WhoDropNote = {
	["아이템ID"] = "설명할 내용...",
	..
}

각 지역별로 나뉘는 분류에 대해서는..

예제)
["지역명(영문)"] = {
	["NPC이름(영문) 추가적으로 진영 표시(|H 나 |A, 중립에 대해서는 표시할 필요가 없습니다.)와 테이블 순서(|숫자로 표시)"] = {
		["퀘스트이름,또는 평판 상인의 경우에는 평판, 교환 아이템의 경우에는 교환가치(영문)"] = {
			["필드번호"] = "아이템ID",
			....
		},
	},
},

이렇게 추가할 수 있습니다.

인스턴스정보와 마찬가지로..

이름(추가정보-진영)(테이블순서)의 단계로 표시되어야 합니다.

지역별 구분이 한 단계가 더 많은 이유는.. 인스턴스는 ["Instance"]라는 다른 분류의 테이블로 구성되기 때문입니다.

로컬지원은..

우선적으로 로컬 파일 상에 해당 단어가 있는지 그 다음으로 Babble-Boss-2.2 다음으로 Babble-Zone-2.2, Babble-Quest-2.2를 

확인해서 로컬이 존재하는지 찾고.. 그 중에서 발견되지 않을 경우 본문 그대로를 사용합니다.

만약 Babble-Zone-2.2나 Babble-Boss-2.2, Babble-Quest-2.2에 등록되지 않은 문구의 경우에는 로컬에 추가하셔도 됩니다.


]]

local L = AceLibrary("AceLocale-2.2"):new("WhoDrop")
local BF = AceLibrary("Babble-Faction-2.2")
local BB = AceLibrary("Babble-Boss-2.2")
local BZ = AceLibrary("Babble-Zone-2.2")

WhoDropFieldData = {
	["Eastern Kingdoms|1"] = { -- 동부 왕국
	},
	["Kalimdor|2"] ={ -- 칼림도어
	},
	["Outland|3"] = { -- 아웃랜드
		["Hellfire Peninsula"] = {  -- 지옥불 반도
			["Sergeant Shatterskull|H|1"] = {  -- 퀘스트 NPC, 상인명칭, 이름 뒤에 |H(호드)나 |A(얼라이언스) 붙여서 진영을 표시한다.
				["Felspark Ravine"] ={   --- 퀘스트 이름..
					[1] = "29908",
					[2] = "29909",
					[3] = "29910",
					[4] = "29913",
					[5] = "29911",
				},
			},
			["Forward Commander To'arch|H|2"] = {
				["Disrupt Their Reinforcements"] = {
					[1] = "29946",
					[2] = "29927",
					[3] = "29939",
					[4] = "29935",
					[5] = "29932",
				},
				["Mission: Gateways Murketh and Shaadraz"] = {
					[1] = "29944",
					[2] = "29929",
					[3] = "29937",
					[4] = "29942",
				},
				["Mission: The Abyssal Shelf"] = {
					[1] = "29926",
					[2] = "29940",
					[3] = "29936",
					[4] = "29933",
				},
			},
			["Vurtok Axebreaker|H|3"] = {
				["Bonechewer Blood"] = {
					[1] = "29915",
					[2] = "29919",
					[3] = "29914",
					[4] = "29917",
					[5] = "29916",
				},
			},
			["Apothecary Antonivich|H|4"] = {
				["The Demoniac Scryer"] = {
					[1] = "31715",
				},
			},
			["Nazgrel|H|5"] = {
				["The Foot of the Citadel"] = {
					[1] = "31720",
					[2] = "31719",
					[3] = "31717",
					[4] = "31718",
				},
				["Cruel's Intentions"] = {
					[1] = "28040",
					[2] = "28041",
					[3] = "28042",
				},
			},
			["Gorkan Bloodfist|H|6"] = {
				["Envoy to the Mag'har"] = {
					[1] = "25510",
					[2] = "25512",
					[3] = "25511",
					[4] = "25513",
				},
			},
			["Megzeg Nukklebust|H|7"] = {
				["I Work~~~ For the Horde!"] = {
					[1] = "29945",
					[2] = "29931",
					[3] = "29938",
					[4] = "29943",
				},
				["Burn It Up~~~ For the Horde!"] = {
					[1] = "29928",
					[2] = "29930",
					[3] = "29934",
					[4] = "29941",
				},
			},
			["Ranger Captain Venn'ren|H|8"] = {
				["Marking the Path"] = {
					[1] = "25502",
					[2] = "25502",
					[3] = "25504",
				},
			},
			["Ryathen the Somber|H|9"] = {
				["The Cleansing Must Be Stopped"] = {
					[1] = "25500",
					[2] = "25501",
					[3] = "25499",
				},
			},
			["Magistrix Carinda|H|10"] = {
				["Arelion's Mistress"] = {
					[1] = "25505",
				},
			},
			["Apothecary Azethen|H|11"] = {
				["Source of the Corruption"] = {
					[1] = "25914",
					[2] = "25915",
					[3] = "25913",
				},
			},
			["Taleris Dawngazer|H|12"] = {
				["A Pilgrim's Plight"] = {
					[1] = "25781",
					[2] = "25782",
					[3] = "25783",
				},
			},
			["Wanted Poster|H|13"] = {
				["Wanted: Blacktalon the Savage"] = {
					[1] = "27732",
					[2] = "27731",
				},
			},
			["Zezzak|H|14"] = {
				["Grillok \"Darkeye\""] = {
					[1] = "28057",
					[2] = "28051",
					[3] = "28050",
					[4] = "28052",
					[5] = "28055",
				},
			},
			["Ogath the Mad|H|15"] = {
				["From the Abyss"] = {
					[1] = "29399",
					[2] = "29398",
					[3] = "29400",
				},
			},
			["Althen the Historian|H|16"] = {
				["Honor the Fallen"] = {
					[1] = "29108",
					[2] = "29109",
				},
			},
			["Earthcaller Ryga|H|17"] = {
				["Administering the Salve"] = {
					[1] = "25492",
					[2] = "25494",
					[3] = "25495",
					[4] = "25496",
					[5] = "29212",
				},
			},
			["Sergeant Altumus|A|18"] = {
				["The Path of Anguish"] ={
					[1] = "29908",
					[2] = "29909",
					[3] = "29910",
					[4] = "29913",
					[5] = "29911",
				},
			},
			["Forward Commander Kingston|A|19"] = {
				["Disrupt Their Reinforcements"] = {
					[1] = "29946",
					[2] = "29927",
					[3] = "29939",
					[4] = "29935",
					[5] = "29932",
				},
			},
			["Lieutenant Amadi|A|20"] = {
				["Fel Orc Scavengers"] = {
					[1] = "29915",
					[2] = "29919",
					[3] = "29914",
					[4] = "29917",
					[5] = "29916",
				},
			},
			["Force Commander Danath Trollbane|A|21"] = {
				["Drill the Drillmaster"] = {
					[1] = "31720",
					[2] = "31719",
					[3] = "31717",
					[4] = "31718",
				},
			},
			["Dumphry|A|22"] = {
				["Waste Not, Want Not"] = {
					[1] = "29945",
					[2] = "29931",
					[3] = "29938",
					[4] = "29943",
				},
				["Laying Waste to the Unwanted"] = {
					[1] = "29928",
					[2] = "29930",
					[3] = "29934",
					[4] = "29941",
				},
			},
			["Warp-Scryer Kryv|A|23"] = {
				["Overlord"] = {
					[1] = "28040",
					[2] = "28041",
					[3] = "28042",
				},
			},
			["Wing Commander Dabir'ee|A|24"] = {
				["Zeth'Gor Must Burn!"] = {
					[1] = "28057",
					[2] = "28051",
					[3] = "28050",
					[4] = "28052",
					[5] = "28055",
				},
			},
			["Honor Guard Wesilow|A|25"] = {
				["Looking to the Leadership"] = {
					[1] = "25989",
					[2] = "25992",
					[3] = "25993",
				},
			},
			["Foreman Biggums|A|26"] = {
				["A Job for an Intelligent Man"] = {
					[1] = "25785",
					[2] = "25784",
				},
				["The Mastermind"] = {
					[1] = "25984",
					[2] = "25982",
					[3] = "25983",
				},
			},
			["Makuru|A|27"] = {
				["Makuru's Vengeance"] = {
					[1] = "25920",
					[2] = "25919",
					[3] = "25921",
				},
			},
			["Amaan the Wise|A|28"] = {
				["The Seer's Relic"] = {
					[1] = "25508",
					[2] = "25506",
					[3] = "25507",
				},
				["Cleansing the Waters"] = {
					[1] = "25484",
					[2] = "25485",
					[3] = "25486",
				},
			},
			["Ikan|A|29"] = {
				["The Rock Flayer Matriarch"] = {
					[1] = "25480",
					[2] = "25479",
					[3] = "25478",
				},
			},
			["Mirren Longbeard|A|30"] = {
				["The Finest Down"] = {
					[1] = "23587",
				},
			},
			["Foreman Razelcraz|31"] = {
				["Beneath Thrallmar"] = {
					[1] = "30855",
					[2] = "30856",
					[3] = "30857",
				},
			},
			["Thiah Redmane|32"] = {
				["Testing the Antidote"] = {
					[1] = "25985",
					[2] = "25986",
					[3] = "25987",
				},
			},
			["Tola'thion|33"] = {
				["Colossal Menace"] = {
					[1] = "28064",
					[2] = "28062",
					[3] = "28065",
					[4] = "28063",
					[5] = "28066",
				},
			},
			["\"Screaming\" Screed Luckheed|34"] = {
				["In Case of Emergency~~~"] = {
					[1] = "25980",
					[2] = "25981",
					[3] = "25979",
				},
				["Voidwalkers Gone Wild"] = {
					[1] = "25786",
					[2] = "25787",
				},
			},
			["Avruu's Orb|35"] = {
				["Avruu's Orb"] = {
					[1] = "25489",
					[2] = "25488",
					[3] = "25487",
				},
			},
			["Earthbinder Galandria Nightbreeze|36"] = {
				["Natural Remedies"] = {
					[1] = "28069",
					[2] = "28070",
					[3] = "28074",
					[4] = "28075",
				},
			},
		},
	},
}
